#include "predef.h"
#include <iostream>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <smarttrap.h>
#include <taskmon.h>
#include <NetworkDebug.h>


extern "C" {
void UserMain(void * pd);
}

const char * AppName="SyncorUnitTest_Framework";


void UserMain(void * pd) {
    InitializeStack();
    OSChangePrio(MAIN_PRIO);
    EnableAutoUpdate();
    StartHTTP();
    EnableTaskMonitor();

    #ifndef _DEBUG
    EnableSmartTraps();
    #endif

    #ifdef _DEBUG
    InitializeNetworkGDB_and_Wait();
    #endif

    std::cout << "Syncor Unit Test Framework started." << std::endl;
    while (1) {
        OSTimeDly(20);
    }
}
